Announcement

Collapse
No announcement yet.

Install on a RHEL 7/CentOS 7 machine without Internet access

Collapse
X
 
  • Filter
  • Time
  • Show
Clear All
new posts

  • Install on a RHEL 7/CentOS 7 machine without Internet access

    These instructions are only for machines that do not have Internet access. If your system has Internet access, install using yum following the instructions on our Linux installation page.

    Here's how to install Beyond Compare 3 for Linux on a Redhat Enterprise Linux 7 or CentOS 7 machine without Internet access. Note that while RHEL 7/CentOS 7 is only available as a 64-bit operating system, they still provide 32-bit compatibility libraries.

    On a RHEL 7 machine with an Internet connection, run the following command as root to download the required RPM files:
    Code:
    yum install --downloadonly --downloaddir=/home/scooter/rpms/ expat.i686  fontconfig.i686 freetype.i686 glibc.i686 libICE.i686 libSM.i686  libX11.i686 libXau.i686 libXcursor.i686 libXext.i686 libXfixes.i686  libXft.i686 libXinerama.i686 libXrandr.i686 libXrender.i686 libgcc.i686  libstdc++.i686 libuuid.i686 libxcb.i686 nss-softokn-freebl.i686 zlib.i686
    You'll need to change "/home/scooter/rpms" to the folder you want the rpms placed in.

    Copy the RPM files downloaded by yum and Beyond Compare's rpm (bcompare-3.3.12.18414.i386.rpm) to your RHEL7 machine that doesn't have Internet access.

    From the folder containing the rpm files, run the following command as root:
    Code:
    rpm -ivh bcompare-3.3.12.18414.i386.rpm expat-2.1.0-8.el7.i686.rpm  fontconfig-2.10.95-7.el7.i686.rpm freetype-2.4.11-9.el7.i686.rpm  glibc-2.17-55.el7.i686.rpm libgcc-4.8.2-16.2.el7_0.i686.rpm  libICE-1.0.8-7.el7.i686.rpm libSM-1.2.1-7.el7.i686.rpm  libstdc++-4.8.2-16.2.el7_0.i686.rpm libuuid-2.23.2-16.el7.i686.rpm  libX11-1.6.0-2.1.el7.i686.rpm libXau-1.0.8-2.1.el7.i686.rpm  libxcb-1.9-5.el7.i686.rpm libXcursor-1.1.14-2.1.el7.i686.rpm  libXext-1.3.2-2.1.el7.i686.rpm libXfixes-5.0.1-2.1.el7.i686.rpm  libXft-2.3.1-5.1.el7.i686.rpm libXinerama-1.1.3-2.1.el7.i686.rpm  libXrandr-1.4.1-2.1.el7.i686.rpm libXrender-0.9.8-2.1.el7.i686.rpm  nss-softokn-freebl-3.16.2-1.el7_0.i686.rpm zlib-1.2.7-13.el7.i686.rpm
    You'll need to adjust version numbers if your system has slightly newer or older packages.
    Last edited by Chris; 27-Aug-2014, 04:22 PM. Reason: Clarify this post is ONLY for systems without Internet access.
    Chris K Scooter Software
Working...
X